Partial Update Preflight Detected Asset
PATCH/targets/:target_id/pre-scan-configuration/assets/:id/
Log requests and log last_access
Request
Path Parameters
id stringrequired
target_id stringrequired
- application/json
- application/x-www-form-urlencoded
- multipart/form-data
Body
ignored boolean
Whether the detected asset is ignored.
Body
ignored boolean
Whether the detected asset is ignored.
Body
ignored boolean
Whether the detected asset is ignored.
Responses
- 200
- 400
- 401
- 404
- 500
- application/json
- Schema
- Example (from schema)
Schema
id stringrequired
A unique Base58 value identifying this object.
host urirequired
Host of the detected asset.
ignored boolean
Whether the detected asset is ignored.
{
"id": "string",
"host": "string",
"ignored": true
}
- application/json
- Schema
- Example (from schema)
Schema
<field name> string[]
non_field_errors string[]
{
"<field name>": [
"Errors related to field <field name>."
],
"non_field_errors": [
"Errors not related to any field specific field."
]
}
- application/json
- Schema
- Example (from schema)
Schema
detail string
{
"detail": "Incorrect authentication credentials."
}
- application/json
- Schema
- Example (from schema)
Schema
detail string
{
"detail": "Not found."
}
- application/json
- Schema
- Example (from schema)
Schema
detail string
{
"detail": "Unexpected error while handling your request."
}
Loading...